SQ(1)

NAME
sq-packet-join - Join packets split across files

SYNOPSIS
sq packet join [OPTIONS] FILE

DESCRIPTION
Join packets split across files.

Splitting a packet sequence into individual packets, then recombining them freely with `sq packet join` is a great way to experiment with OpenPGP data.

The converse operation is `sq packet split`.

OPTIONS

  Subcommand options

--binary
    Emit binary data

--label=LABEL
    Select the kind of armor header

    [default: auto]

    [possible values: auto, message, cert, key, sig, file]

--output=FILE
    Write to FILE or stdout if omitted

    [default: -]

FILE
    Read from FILE or stdin if omitted

  Global options
See sq(1) for a description of the global options.

EXAMPLES

Split a inline-signed message into individual packets written to individual files with the prefix 'packet'.

    sq packet split --output-prefix packet document.pgp

Then reassemble the message, transforming it into an old-style signed message with a prefix signature.

    sq packet join --output prefix-signature.pgp --label message \
        packet-2-Signature-Packet packet-1-Literal-Data-Packet

SEE ALSO
sq(1), sq-packet(1).

For the full documentation see <https://book.sequoia-pgp.org/>.

VERSION
1.3.1